<?php

include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_check_members.php3");

set_time_limit(0);


if(isset($submit))
{
	$requete_membres = main_db_query( " SELECT Id, Password, Login FROM Members WHERE LENGTH(Password)<32" );
	while( $row = db_fetch_array($requete_membres) )
	{
			$requete_password = main_db_query( " UPDATE Members SET Password = '".encryptePassword( $row[1] )."' WHERE Id = '".$row[0]."' AND LENGTH(Password)<32" );
	}
	echo "Cryptage des Password effecté pour ". db_affected_rows() ." comptes.<br>";
}
else
{
?>
<html>
<head>
	<title>- Administration -</title>
</head>
<body>
<link rel="stylesheet" href="admin.css">
Cliquer sur le bouton afin d'encrypter TOUS les mots de passe utilisateur de la base de données.<br>
Partant du principe qu'un mot de passe crypté comporte 32 caractères, seuls les mots de passe qui sont moins longs seront modifiés.
<form method="post" name="main">
<input type="submit" name="submit" value="Encrypter">
</form>
</body>
</html>
<?
}
?>